const Parse = getApp().Parse;
const company = getApp().globalData.company;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    isChack:false,
    title:'服务器已到期，等待店主开通中'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad:async function (options) {
    let { url } = options
    this.setData({
      url
    })
    let query = new Parse.Query("Company")
    query.select('website','expireMap')
    query.equalTo('objectId',company)
    let c = await query.first()
    if(c?.id && c?.get('expireMap')){
      //website配置且renew（续费）存在
      if(c.get('expireMap')?.renew && c.get('website')){
        this.setData({
          title:c.get('website')
        })
      }
    }
  },
  onCheck(){
    this.setData({
      isChack:true
    })
  },
  onTour(){
    if(this.data.isChack){
      wx.showLoading({
        title: '正在跳转',
      });
      let url = this.data.url
      wx.redirectTo({
        url: url,
      });
      wx.hideLoading();
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})